The BlogLiterately package

[Tags: gpl, library, program]

Write blog posts in Markdown format, then use BlogLiterately to do syntax highlighting, format ghci sessions, and upload to any blog supporting the metaWeblog API (such as Wordpress).

To get started, use the provided executable BlogLiterately; see for complete documentation.

To make further customization possible, the internals of the executable are made available as a library. In particular, it is easy to create your own executable which adds extra custom transformations; see Text.BlogLiterately.Run.

Note that BlogLiterately depends on blaze-html-0.5. Pandoc 1.9.3 and later can depend on either blaze-html-0.4 or blaze-html-0.5, but the latter only in case the blaze_html_0_5 flag is set. If pandoc is installed as a dependency of BlogLiterately, everything should work out fine, since cabal's constraint solver will figure out to set that flag. But if pandoc is already installed against blaze-html-0.4 you may need to reinstall it with the blaze_html_0_5 flag explicitly set.


Versions0.2, 0.3, 0.4, 0.5, 0.5.1, 0.5.2,, 0.5.3, 0.5.4,, 0.6,,, 0.6.1, 0.6.2, 0.6.3,, 0.7,,, 0.7.1,,,,,,,,,,,, 0.8, 0.8.1,,,
Change logCHANGES
Dependenciesbase (>=4.0 && <4.7), blaze-html (==0.5.*), BlogLiterately, bool-extras, bytestring, cmdargs (>=0.9.5 && <0.11), containers, directory, filepath, HaXml (>=1.22 && <1.24), haxr (==3000.9.*), hscolour (==1.20.*), pandoc (>=1.9.3 && <1.11), parsec (>=3 && <3.2), process, split (>=0.1.4 && <0.3), transformers (==0.3.*), utf8-string (==0.3.*) [details]
CopyrightCopyright (c) Robert Greayer 2008-2010, Brent Yorgey 2012
AuthorRobert Greayer <>
MaintainerBrent Yorgey <>
Home page
Bug tracker
Source repositoryhead: darcs get
UploadedMon Nov 19 22:22:04 UTC 2012 by BrentYorgey
DistributionsDebian:, LTSHaskell:, NixOS:, Stackage:
Downloads7468 total (167 in last 30 days)
0 []
StatusDocs not available [build log]
All reported builds failed as of 2015-11-14 [all 4 reports]



Maintainers' corner

For package maintainers and hackage trustees